<?xml version="1.0" encoding="UTF-8"?>
<schema targetNamespace="urn:oasis:xacml:2.0:saml:protocol:schema:os"
  xmlns:xs="http://www.23.org/2001/XMLSchema" xmlns="http://www.w3.org/2001/XMLSchema"
  xmlns:saml="urn:oasis:names:tc:SAML:2.0:assertion"
  xmlns:samlp="urn:oasis:names:tc:SAML:2.0:protocol"
  xmlns:xacml-context="urn:oasis:names:tc:xacml:2.0:context:schema:os"
  xmlns:xacml="urn:oasis:names:tc:xacml:2.0:policy:schema:os" elementFormDefault="qualified"
  attributeFormDefault="unqualified" blockDefault="substitution" version="2.0"
  xmlns:ns1="urn:oasis:xacml:2.0:saml:protocol:schema:os">
  <import namespace="urn:oasis:names:tc:SAML:2.0:assertion"
    schemaLocation="../saml/saml-schema-assertion-2.0.xsd"/>
  <import namespace="urn:oasis:names:tc:SAML:2.0:protocol"
    schemaLocation="../saml/saml-schema-protocol-2.0.xsd"/>
  <import namespace="urn:oasis:names:tc:xacml:2.0:context:schema:os"
    schemaLocation="http://docs.oasis-open.org/xacml/2.0/access_control-xacml-2.0-context-schema-os.xsd"/>
  <import namespace="urn:oasis:names:tc:xacml:2.0:policy:schema:os"
    schemaLocation="http://docs.oasis-open.org/xacml/access_control-xacml-2.0-policy-schema-os.xsd"/>
  <annotation>
    <documentation>
        Document identifier: access_control-xacml-2.0-saml-protocol-schema-os.xsd
        Location: http://docs.oasis-open.org/xacml/2.0/access_control-xacml-2.0-saml-protocol-schema-os.xsd
    </documentation>
  </annotation>
  <!--    -->
  <element name="XACMLAuthzDecisionQuery" type="ns1:XACMLAuthzDecisionQueryType"/>
  <complexType name="XACMLAuthzDecisionQueryType">
    <complexContent>
      <extension base="samlp:RequestAbstractType">
        <sequence>
          <element ref="xacml-context:Request"/>
        </sequence>
        <attribute name="InputContextOnly" type="boolean" use="optional" default="false"/>
        <attribute name="ReturnContext" type="boolean" use="optional" default="false"/>
      </extension>
    </complexContent>
  </complexType>
  <!--    -->
  <element name="XACMLPolicyQuery" type="ns1:XACMLPolicyQueryType"/>
  <complexType name="XACMLPolicyQueryType">
    <complexContent>
      <extension base="samlp:RequestAbstractType">
        <choice minOccurs="0" maxOccurs="unbounded">
          <element ref="xacml-context:Request"/>
          <element ref="xacml:Target"/>
          <element ref="xacml:PolicySetIdReference"/>
          <element ref="xacml:PolicyIdReference"/>
        </choice>
      </extension>
    </complexContent>
  </complexType>
</schema>
